    import OperationStore from 'yjs/src/Store/OperationStore.js'

public class | source

# OperationStore

#### Extends:

Tree → OperationStore

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | y : * |

## Method Summary

Public Methods
public | get (id: *): * |
public | getItem (id: *): * |
public | getItemCleanEnd (id: *): * |
public | getItemCleanStart (id: *): * |
public | logTable () |

## Inherited Summary

From class Tree
public | length : number |
public | root : * |
public | delete (id: *) |
public | find (id: *): * |
public | findNext (id: *): * |
public | findNode (id: *): * |
public | findNodeWithLowerBound (from: *): * |
public | findNodeWithUpperBound (to: *): * |
public | findPrev (id: *): * |
public | findSmallestNode (): * |
public | findWithLowerBound (from: *): * |
public | findWithUpperBound (to: *): * |
public | iterate (from: *, to: *, f: *) |
public | put (v: *): * |

## Public Constructors

### public constructor() source

#### Override:

Tree#constructor

## Public Members

### public y: * source

## Public Methods

### public get(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public getItem(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public getItemCleanEnd(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public getItemCleanStart(id: *): * source

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public logTable() source